IndyStaticTypesMultiTypeDispatcher (Groovy 5.1.0)

Package: org.codehaus.groovy.classgen.asm.indy.sc

## [Java] Class IndyStaticTypesMultiTypeDispatcher

- org.codehaus.groovy.classgen.asm.indy.sc.IndyStaticTypesMultiTypeDispatcher

-     public class IndyStaticTypesMultiTypeDispatcher
      extends StaticTypesBinaryExpressionMultiTypeDispatcher

  Multi type dispatcher for binary expression backend combining indy and static compilation

  Since:
    2.5.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BinaryExpressionMultiTypeDispatcher` | `binExpWriter, typeMap, typeMapKeyNames`
    `class BinaryExpressionHelper` | `controller`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `IndyStaticTypesMultiTypeDispatcher(WriterController wc)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected BinaryExpressionWriter[]` | `initializeDelegateHelpers()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class StaticTypesBinaryExpressionMultiTypeDispatcher` | `assignToArray, evaluateBinaryExpressionWithAssignment, evaluateEqual, writePostOrPrefixMethod`
    `class BinaryExpressionMultiTypeDispatcher` | `assignToArray, doPrimitiveCompare, doPrimtiveCompare, evaluateBinaryExpression, evaluateBinaryExpressionWithAssignment, evaluateCompareExpression, getOperandType, initializeDelegateHelpers, writePostOrPrefixMethod`
    `class BinaryExpressionHelper` | `assignToArray, eval, evaluateArrayAssignmentWithOperator, evaluateBinaryExpression, evaluateBinaryExpressionWithAssignment, evaluateCompareExpression, evaluateElvisEqual, evaluateEqual, evaluatePostfixMethod, evaluatePrefixMethod, evaluateTernary, getController, getIsCaseMethod, visit, writePostOrPrefixMethod`

- - ### Constructor Detail

    - #### public IndyStaticTypesMultiTypeDispatcher(WriterController wc)

  - ### Method Detail

    - #### @Override
      protected BinaryExpressionWriter[] initializeDelegateHelpers()